System Admin
4 API calls in this section.
List Payment Method Types
/payment/system/method-typesRetrieves all available payment method types in the system including COD, Wallet, and gateway payment methods.
1curl --request GET "$ONDI_BASE_URL/payment/system/method-types" \2 --header "Authorization: Bearer {{access_token}}"Headers
AuthorizationOptionalBearer {{access_token}}
JWT token for system admin users (required)
Responses
No response example is available for this endpoint yet.
List Tenant Gateway Configurations
/payment/system/tenant-configsRetrieves all tenant gateway configurations across the system for monitoring and management.
1curl --request GET "$ONDI_BASE_URL/payment/system/tenant-configs" \2 --header "Authorization: Bearer {{access_token}}"Headers
AuthorizationOptionalBearer {{access_token}}
JWT token for system admin users (required)
Responses
No response example is available for this endpoint yet.
Create Tenant Gateway Configuration
/payment/system/tenant-configsCreates a new payment gateway configuration for a specific tenant with validation and connectivity testing.
1curl --request POST "$ONDI_BASE_URL/payment/system/tenant-configs" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json" \4 --header "Content-Type: application/json" \5 --data '{6 "tenant_id": "{{tenant_id}}",7 "payment_method_type_id": "razorpay-method-uuid",8 "gateway_code": "razorpay",9 "api_keys": {10 "key_id": "rzp_test_1234567890",11 "key_secret": "your_razorpay_secret_key"12 },13 "webhook_secret": "your_webhook_secret",14 "base_url": "https://api.razorpay.com/v1",15 "settings": {16 "currency": "USD",17 "capture_method": "automatic"18 }19}'1{2 "tenant_id": "{{tenant_id}}",3 "payment_method_type_id": "razorpay-method-uuid",4 "gateway_code": "razorpay",5 "api_keys": {6 "key_id": "rzp_test_1234567890",7 "key_secret": "your_razorpay_secret_key"8 },9 "webhook_secret": "your_webhook_secret",10 "base_url": "https://api.razorpay.com/v1",11 "settings": {12 "currency": "USD",13 "capture_method": "automatic"14 }15}Request body fields
tenant_idExampleExample field from the request body.
payment_method_type_idExampleExample field from the request body.
gateway_codeExampleExample field from the request body.
api_keysExampleExample field from the request body.
api_keys.key_idExampleExample field from the request body.
api_keys.key_secretExampleExample field from the request body.
webhook_secretExampleExample field from the request body.
base_urlExampleExample field from the request body.
settingsExampleExample field from the request body.
settings.currencyExampleExample field from the request body.
settings.capture_methodExampleExample field from the request body.
Headers
AuthorizationOptionalBearer {{access_token}}
JWT token for system admin users (required)
Content-TypeOptionalapplication/json
Responses
No response example is available for this endpoint yet.
Update Tenant Gateway Configuration
/payment/system/tenant-configs/:configIdUpdates an existing tenant gateway configuration with validation and testing.
1curl --request PUT "$ONDI_BASE_URL/payment/system/tenant-configs/:configId" \2 --header "Authorization: Bearer {{access_token}}" \3 --header "Content-Type: application/json" \4 --header "Content-Type: application/json" \5 --data '{6 "api_keys": {7 "key_id": "rzp_live_1234567890",8 "key_secret": "updated_secret_key"9 },10 "settings": {11 "currency": "USD",12 "capture_method": "manual"13 },14 "is_active": true15}'1{2 "api_keys": {3 "key_id": "rzp_live_1234567890",4 "key_secret": "updated_secret_key"5 },6 "settings": {7 "currency": "USD",8 "capture_method": "manual"9 },10 "is_active": true11}Path parameters
configIdRequiredconfig-uuid-1
UUID of the configuration to update
Request body fields
api_keysExampleExample field from the request body.
api_keys.key_idExampleExample field from the request body.
api_keys.key_secretExampleExample field from the request body.
settingsExampleExample field from the request body.
settings.currencyExampleExample field from the request body.
settings.capture_methodExampleExample field from the request body.
is_activeExampleExample field from the request body.
Headers
AuthorizationOptionalBearer {{access_token}}
JWT token for system admin users (required)
Content-TypeOptionalapplication/json
Responses
No response example is available for this endpoint yet.